function [DNDxi,DNDeta,DNDzeta] = fillDerFF3q1(xi, eta, zeta)
% [DNDxi,DNDeta,DNDzeta] = fillDerFF3q1(xi, eta, zeta)
% DNDxi,DNDeta,DNDzeta: derivada de la funcion de forma del elemento finito hexaedrico trilineal
%         respecto de las coordenadas locales xi, eta, zeta
%         en el punto de coordenadas naturales (xi, eta, zeta)

% Coordenadas naturales de los nodos
P = [-1 -1 -1
    1 -1 -1
    1 1 -1
    -1 1 -1
    -1 -1 1
    1 -1 1
    1 1 1
    -1 1 1];

xinodo = P(:,1);
etanodo = P(:,2);
zetanodo = P(:,3);

%N = (1+xinodo*xi).*(1+etanodo*eta).*(1+zetanodo*zeta)/8;
DNDxi = xinodo.*(1+etanodo*eta).*(1+zetanodo*zeta)/8;
DNDeta = (1+xinodo*xi).*etanodo.*(1+zetanodo*zeta)/8;
DNDzeta = (1+xinodo*xi).*(1+etanodo*eta).*zetanodo/8;
