function C = modulo_tangente_Neo_Hooke(E,Y,nu)
% Slido Neo-Hookeano
% C = modulo_tangente_Neo_Hooke(E)
% C = [C1111 C1122 C1133 C1112 C1123 C1131
%      C2211 C2222 C2233 C2212 C2223 C2231
%      C3311 C3322 C3333 C3312 C3323 C3331
%      C1211 C1222 C1233 C1212 C1223 C1231
%      C2311 C2322 C2333 C2312 C2323 C2331
%      C3111 C3122 C3133 C3112 C3123 C3131];
% Cijkl = derivada de Tij con respecto a Ekl
% Tij = Tji: Segundo tensor de tension de Piola-Kirchhoff
% Eij = Eji: Tensor de deformacin de Green-Lagrange


%% Calculo del modulo tangente usando diferencias finitas centradas
%% ATENCION: Uds. debern hacerlo analticamente
C = zeros(6,6);
dE = 1.e-8;
for i=1:6
    E(i) = E(i)+dE;
    T1 = tension_Neo_Hooke(E,Y,nu);
    E(i) = E(i)-2*dE;
    T0 = tension_Neo_Hooke(E,Y,nu);
    C(:,i) = (T1-T0)/2/dE;
    E(i) = E(i)+dE;
end
    
    
